<h1 align="center">
  <a href="https://pypi.org/project/jsonr"><img src="https://i.ibb.co/9hg4pF2/jsonr-modified.png" alt="jsonr" border="0" width="145"></a><a href="https://pypi.org/project/jsonr"><img src="https://i.ibb.co/NK3W9Dk/jsonr-preview-modified.png" alt="jsonr" border="0" width="290">
  </a>
</h1>


# [jsonr - PyPi](https://pypi.org/project/jsonr)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/jsonr-py/jsonr/blob/master/LICENSE)
[![Python Versions](https://img.shields.io/badge/python-3.7%20|%203.8%20|%203.9%20|%203.10%20|%203.11%20|%203.12%20-blue)](https://www.python.org/downloads/)

```
jsonr: (V8.6.6)

Highly customizable JSON objects and dataframes, and your python toolkit all in one.
```

# Vulnerabilities
We take all vulnerabilities very seriously as we strive for the best possible user experience when using jsonr!
Make sure you view examples and source files to double check for possible errors and usages.

If you believe you have found a true vulnerability please follow the provided steps to submit a report:
#
[1] >>> Do not publicly disclose the vulnerability before it has been addressed and fixed.

[2] >>> Contact our security team by sending an email to jsonr.py@gmail.com. Please provide a detailed description of the vulnerability, including steps to reproduce it if possible, and any additional information that can help us understand and address the issue.

[3] >>> Our security team will acknowledge your report within 3 business days and may request further information or clarification.

[4] >>> We will work with you to validate and reproduce the vulnerability. Once confirmed, we will develop and release a fix.

[5] >>> We will credit you for your responsible disclosure unless you request to remain anonymous.

#
Please note that we do not offer monetary rewards or bug bounties for security vulnerability reports.
#
# Supported Versions
Our package follows [SemVer](https://semver.org/) versioning principles. We provide security updates and patches for the following versions:
```
[VERSION 8.6]
```
If you are using an older version, we strongly recommend upgrading to a supported version to ensure you receive security updates.
#
# Security Best Practices
To help keep your application secure when using our package, we recommend following these best practices:

- Always use the latest version of our package, as it includes the most up-to-date security patches and improvements.
- Regularly update your dependencies to ensure you are using the latest versions with their respective security fixes.
- Implement secure coding practices and follow established security guidelines for your application.
- Monitor security advisories and announcements related to the libraries and frameworks you use.
#

# Security Contact Information
For any security-related inquiries or to report a vulnerability, please contact our security team at jsonr.py@gmail.com.

Please note that this email address is only for security-related issues. For general inquiries or support requests, please refer to our documentation.
